autofs-5.1.1 - add remote-fs.target systemd dependency

From: Ian Kent <raven@themaw.net>

If maps are stored on a NFS mount autofs will fail to start if the
systemd unit doesn't depend on the remote-fs target.

I'm not sure how this will affect systems that don't have anything
to depend on in the remote-fs target but I expect it will not stop
the startup from functioning.

Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG                 |    1 +
 samples/autofs.service.in |    2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/CHANGELOG b/CHANGELOG
index 86982e4..b8b5e39 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -49,6 +49,7 @@
 - fix modules make clean target.
 - fix autofs(5) description of supported map sources.
 - add autofs(5) note of IPv6 libtirpc requirement.
+- add remote-fs.target systemd dependency.
 
 21/04/2015 autofs-5.1.1
 =======================
diff --git a/samples/autofs.service.in b/samples/autofs.service.in
index d4de6ff..f9fa96c 100644
--- a/samples/autofs.service.in
+++ b/samples/autofs.service.in
@@ -1,6 +1,6 @@
 [Unit]
 Description=Automounts filesystems on demand
-After=network.target ypbind.service sssd.service network-online.target
+After=network.target ypbind.service sssd.service network-online.target remote-fs.target
 Wants=network-online.target
 
 [Service]
